## cong-editor-node-text

cong-editor-node-text —

## Synopsis

    #define     CONG_EDITOR_NODE_TEXT           (obj)
    #define     CONG_EDITOR_NODE_TEXT_CLASS     (klass)
    #define     IS_CONG_EDITOR_NODE_TEXT        (obj)
    GType       cong_editor_node_text_get_type  (void);
    CongEditorNodeText* cong_editor_node_text_construct
                                                (CongEditorNodeText *editor_node_text,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    CongEditorNode* cong_editor_node_text_new   (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);
    gboolean    cong_editor_node_text_convert_original_byte_offset_to_stripped
                                                (CongEditorNodeText *editor_node_text,
                                                 int original_byte_offset,
                                                 int *stripped_byte_offset);
    gboolean    cong_editor_node_text_calc_up   (CongEditorNodeText *editor_node_text,
                                                 int input_byte_offset,
                                                 int *output_byte_offset);
    gboolean    cong_editor_node_text_calc_down (CongEditorNodeText *editor_node_text,
                                                 int input_byte_offset,
                                                 int *output_byte_offset);

## Description

## Details

### CONG_EDITOR_NODE_TEXT()

    #define CONG_EDITOR_NODE_TEXT(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_NODE_TEXT_TYPE, CongEditorNodeText)

`obj` : |

### CONG_EDITOR_NODE_TEXT_CLASS()

    #define CONG_EDITOR_NODE_TEXT_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_NODE_TEXT_TYPE, CongEditorNodeTextClass)

`klass` : |

### IS_CONG_EDITOR_NODE_TEXT()

    #define IS_CONG_EDITOR_NODE_TEXT(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_NODE_TEXT_TYPE)

`obj` : |

### cong_editor_node_text_get_type ()

    GType       cong_editor_node_text_get_type  (void);

Returns : |

### cong_editor_node_text_construct ()

    CongEditorNodeText* cong_editor_node_text_construct
                                                (CongEditorNodeText *editor_node_text,
                                                 CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`editor_node_text` : |
`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_text_new ()

    CongEditorNode* cong_editor_node_text_new   (CongEditorWidget3 *widget,
                                                 CongTraversalNode *traversal_node);

TODO: Write me

`widget` : |
`traversal_node` : |
Returns : |

### cong_editor_node_text_convert_original_byte_offset_to_stripped ()

    gboolean    cong_editor_node_text_convert_original_byte_offset_to_stripped
                                                (CongEditorNodeText *editor_node_text,
                                                 int original_byte_offset,
                                                 int *stripped_byte_offset);

TODO: Write me

`editor_node_text` : |
`original_byte_offset` : |
`stripped_byte_offset` : |
Returns : |

### cong_editor_node_text_calc_up ()

    gboolean    cong_editor_node_text_calc_up   (CongEditorNodeText *editor_node_text,
                                                 int input_byte_offset,
                                                 int *output_byte_offset);

TODO: Write me

`editor_node_text` : |
`input_byte_offset` : |
`output_byte_offset` : |
Returns : |

### cong_editor_node_text_calc_down ()

    gboolean    cong_editor_node_text_calc_down (CongEditorNodeText *editor_node_text,
                                                 int input_byte_offset,
                                                 int *output_byte_offset);

TODO: Write me

`editor_node_text` : |
`input_byte_offset` : |
`output_byte_offset` : |
Returns : |